package hiro.yoshioka.ast.sql.mongo;

public enum MongoAstNodeType {
	Root, Schema, Table, Upsert, Multi, InsertObject, UpdateObject, RemoveMustMatch, QueryUsedToSearch, ReturnFields, OrderBy, Unkown;

	public static MongoAstNodeType parse(String name) {
		for (MongoAstNodeType type : values()) {
			if (type.name().equalsIgnoreCase(name)) {
				return type;
			}
		}
		return Unkown;
	}

}
